Bug 1262563 - yumex-dnf has no header/title on 686 machine.
yumex-dnf has no header/title on 686 machine.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yumex-dnf (Show other bugs)
22
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-12 16:44 EDT by Robin Laing
Modified: 2015-10-07 03:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 03:31:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen capture showing no title (158.40 KB, image/png)
2015-09-12 16:44 EDT, Robin Laing
no flags Details

  None (edit)
Description Robin Laing 2015-09-12 16:44:46 EDT
Created attachment 1072758 [details]
Screen capture showing no title

Description of problem:  on my 686 machine, yumex-dnf has not title/header.  Double clicking on the title is configure in my KDE to shade the window.  Doesn't work that way in this configuration.


Version-Release number of selected component (if applicable):
yumex-dnf-4.1.3-1.fc22.noarch

How reproducible:
Every time I use it.

Steps to Reproduce:
1. Open yumex-dnf
2.  Look for the title
3.

Actual results:
No title to control

Expected results:
A title as on other machines.

Additional info:
This is a 32 bit machine upgraded using fedup.
KDE desktop.

===========================================================

This is the output running in a terminal.

yumex-dnf                                                
                                                                                      
(yumex-dnf:12212): Gtk-CRITICAL **: gtk_window_add_accel_group: assertion 'GTK_IS_WINDOW (window)' failed                                                                   
/usr/lib/python3.4/site-packages/yumex/gui/widgets.py:208: Warning: The property GtkAlignment:xalign is deprecated and shouldn't be used anymore. It will be removed in a future version.                                                                         
  wid.set_image(image)                                                                
/usr/lib/python3.4/site-packages/yumex/gui/widgets.py:208: Warning: The property GtkAlignment:yalign is deprecated and shouldn't be used anymore. It will be removed in a future version.                                                                         
  wid.set_image(image)                                                                
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/yumex/__init__.py", line 1316, in do_command_line
    self.do_activate()
  File "/usr/lib/python3.4/site-packages/yumex/__init__.py", line 1220, in do_activate
    self.win = YumexWindow(self, self.status)
  File "/usr/lib/python3.4/site-packages/yumex/__init__.py", line 443, in __init__
    self.arch_filter = self.backend.get_filter('arch')
  File "/usr/lib/python3.4/site-packages/yumex/__init__.py", line 117, in backend
    return self.get_root_backend()
  File "/usr/lib/python3.4/site-packages/yumex/misc.py", line 145, in newFunc
    rc = func(*args, **kwargs)
  File "/usr/lib/python3.4/site-packages/yumex/__init__.py", line 133, in get_root_backend
    if self._check_cache_expired('system'):
  File "/usr/lib/python3.4/site-packages/yumex/__init__.py", line 97, in _check_cache_expired
    CONFIG.conf.system_refresh, time_fmt)
  File "/usr/lib/python3.4/_strptime.py", line 273, in <module>
    _TimeRE_cache = TimeRE()
  File "/usr/lib/python3.4/_strptime.py", line 190, in __init__
    self.locale_time = LocaleTime()
  File "/usr/lib/python3.4/_strptime.py", line 72, in __init__
    self.lang = _getlang()
  File "/usr/lib/python3.4/_strptime.py", line 31, in _getlang
    return locale.getlocale(locale.LC_TIME)
  File "/usr/lib/python3.4/locale.py", line 575, in getlocale
    return _parse_localename(localename)
  File "/usr/lib/python3.4/locale.py", line 484, in _parse_localename
    raise ValueError('unknown locale: %s' % localename)
ValueError: unknown locale: en_DK
Comment 1 Tim Lauridsen 2015-10-01 10:26:56 EDT
The HeaderBar should only be shown when running gnome
it is detected by checking by checking if GDMSESSION=gnome

you can set it manually in the Preferences

"Show toolbar in the windows headerbar"

look like your language setup is broken there are no language
locale called en_DK, danish is normaly called da_DK.utf8
Comment 2 Robin Laing 2015-10-03 00:25:33 EDT
Actually, on my new machine, the "Show toolbar in the windows headerbar"
 makes no difference.  There is a title, no matter what I change.

Being gnome (Desktop) specific is one of the issues that keeps many from using Linux.
Comment 3 Tim Lauridsen 2015-10-06 10:38:34 EDT
You have to restart yumex-dnf for the change to "Show toolbar in the windows headerbar" take action
Comment 4 Robin Laing 2015-10-07 00:14:09 EDT
I wouldn't call the title a "toolbar".

I did restart it after and I see that the change does occur.

Testing 4.1.4 now.

I would close this as it isn't a bug.


Robin
Comment 5 Tim Lauridsen 2015-10-07 03:31:50 EDT
(In reply to Robin Laing from comment #4)
> I wouldn't call the title a "toolbar".
> 
> I did restart it after and I see that the change does occur.
> 
> Testing 4.1.4 now.
> 
> I would close this as it isn't a bug.
> 
> 
> Robin

I will close the report

Note You need to log in before you can comment on or make changes to this bug.